/* This code is distributed under the terms of Gnu Publice License */
/* The author is Przemek Borys <pborys@dione.ids.pl> */

#include <string.h>
#include "utils.h"
#include "variables.h"
#include "dim.h"

int
dimSum (char *found, char **Gpos, Tdim * Our, struct Tgraph *graph)
{
#define gpos (*Gpos)
#define our (*Our)
  char *start = found, *end, *tmp;
  Tdim out;

  *gpos = 1;			/* mark the sum as #1#5 */
  gpos++;
  *gpos = 5;
  gpos++;
  *gpos = 0;
  our.x += 4;
  if (our.baseline == 0)
    {
      our.baseline++;
      our.y++;
    }
  if (our.y - our.baseline < 2)
    our.y++;
  return 3;

#undef gpos
#undef our
}
void
drawSum (int *Kid, int *Curx, int *Cury, char ***screen, struct Tgraph *graph)
{
#define kid (*Kid)
#define curx (*Curx)
#define cury (*Cury)
  (*screen)[cury - 1][curx] = ' ';
  (*screen)[cury - 1][curx + 1] = '_';
  (*screen)[cury - 1][curx + 2] = '_';
  (*screen)[cury][curx + 1] = '>';
  (*screen)[cury + 1][curx] = '/';
  (*screen)[cury + 1][curx + 1] = '_';
  (*screen)[cury + 1][curx + 2] = '_';
  curx += 4;
}
