/* This code is distributed under the terms of Gnu Publice License */
/* The author is Przemek Borys <pborys@dione.ids.pl> */

#include <string.h>
#include "utils.h"
#include "variables.h"
#include "dim.h"

int
dimBrace (char *found, char **Gpos, Tdim * Our, struct Tgraph *graph)
{
#define gpos (*Gpos)
#define our (*Our)
  char *start = found, *end, *tmp;
  Tdim out;

  *gpos = 1;			/* mark the brace as #1#7 */
  gpos++;
  *gpos = 7;
  gpos++;
  *gpos = 0;

  our.x++;

  if (found[1] == 'l')		/* left brace */
    return 4;
  else
    return 5;
#undef gpos
#undef our
}

void
drawBrace (int *Kid, int *Curx, int *Cury, char ***screen, struct Tgraph *graph, char *txt)
{
#define kid (*Kid)
#define curx (*Curx)
#define cury (*Cury)
  int i;
  for (i = cury + graph->dim.baseline; i > cury + graph->dim.baseline - graph->dim.y; i--)
    (*screen)[i][curx] = *(txt + 1);
  curx++;
}
